/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2017
 * @version 1.6.2
 * @date	20/02/2017
 * @compatibility pluxml 5.5.0
 */

(function () {	// initialisation
    
	/**
     * Cache un lment input
     *
     * @param string Nom de l'attribut name de l'lment input
     * @return void
     */
	function hideInput(name)
	{
		var inputElement = document.getElementsByTagName("input");
        
        for(var i = 0; i < inputElement.length; i++) {
            if (inputElement.item(i).name == name) {
                inputElement.item(i).style.display = 'none';
            }
        }
        
        return true;
	}

    // -------------------------------------------------------------------
    
	/**
     * Cache l'item du menu
     *
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkInUList(hrefValue)
	{
		
        var uListElement = document.getElementById("form_comment").getElementsByTagName('ul');
        
        for(var k = 0; k < uListElement.length; k++)
        {
            var aElements = uListElement[k].getElementsByTagName("a");

            for (var i = 0; i < aElements.length; i++) {
                var aHref = aElements.item(i).href;

    			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
                   var liElement = aElements.item(i).parentNode;
                   var content = aElements.item(i).firstChild;

                   liElement.replaceChild(content, aElements.item(i));
                   i--;

                    //aElements.item(i).style.display = 'none';
    			}	
    		}  
        }
        
        return true;
	}

    // -------------------------------------------------------------------
    
	function init()
	{
        if (! plugin_adm_user_rights["comm"]["act"]) {   // Mise en ligne ou hors ligne d'un commentaire
            hideInput("offline");
            hideInput("online");
        }

        if (! plugin_adm_user_rights["comm"]["del"]) {   // Suppression d'un commentaire
            hideInput("delete");
        }

        if (! plugin_adm_user_rights["comm"]["add"]) {   // Ajout d'un commentaire
           hideInput("answer");
        }

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Mis  jour d'un commentaire
            hideInput("update");
        }
        
        if (! plugin_adm_user_rights["art"]["edit"]) { // Edition d'un article
            removeLinkInUList('index.php');
        }
        
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();