/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2017
 * @version 1.6.2
 * @date	20/02/2017
 * @compatibility pluxml 5.5.0
 */
 
(function () {	// initialisation

	/**
     * Cache les options de l'lment select
     *
     * @param string Id de la balise select
     * @param string Valeur de l'option  cacher de la balise select
     * @return void
     */
	function hideSelectOptions(selectId, optionValue)
	{
        var selectElement = document.getElementById(selectId);   
        var opts = selectElement.options;
        
        for (var i = 0; i < opts.length; i++) {
			var optValue = opts[i].value;

			if (optValue === optionValue) {    			 
               selectElement.removeChild(opts[i]);
			}	
		}  
        
        return true;        
	}
         
    // -------------------------------------------------------------------
 
	/**
     * Cache le block contenant l'lment select et le bouton OK
     *
     * @param string Id de la balise select
     * @return void
     */
	function hideSelectBlock(selectId)
	{
        var selectElement = document.getElementById(selectId);        
        var sibling = selectElement.nextSibling;
        
        while (sibling.nodeName !== "INPUT" || sibling.type != "submit") {
            sibling = sibling.nextSibling;    
        }
        
        sibling.style.display = "none";
        selectElement.style.display = "none";
                
        return true;
    }
     
    // -------------------------------------------------------------------

	/**
     * Cache les cases  cocher du tableau
     *
     * @param string Identifiant du tableau
     * @return void
     */
	function hideCheckboxesInTable(tableId)
	{
		var tableElement = document.getElementById(tableId);        
        var inputElements = tableElement.getElementsByTagName("input");

        for (var i = 0; i < inputElements.length; i++) {
            var inputElement = inputElements.item(i);
            			
            if (inputElement.type == 'checkbox') {
                inputElement.parentNode.removeChild(inputElement);
                i--;
			}	
		}  
        
        return true;        
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Rcupre le ou les lments des listes de slection identifi par leur nom
     *
     * @param string Nom de l'attribut name de la balise select
     * @return array
     */
/*    function getSelectElement(selectName)
	{
		var tags = document.getElementsByTagName('select');
        var selectElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagName = tags[i].name;

			if (tagName === selectName) {
                selectElement.push(tags[i]);
			}	
		}
        
        return selectElement;
	}
*/     
    // -------------------------------------------------------------------
    
	/**
     * Cache l'item du menu
     *
     * @param string Nom de la class du tableau
     * @param string Valeur de l'attribut href du lien de l'item
     * @return void
     */
	function removeLinkCellsInTable(tableId, hrefValue)
	{
		var tableElement = document.getElementById(tableId);
        
        var aElements = tableElement.getElementsByTagName("a");

        for (var i = 0; i < aElements.length; i++) {
            var aHref = aElements.item(i).href;

			if (aHref.lastIndexOf(hrefValue) !== -1) {                   
               var tdElement = aElements.item(i).parentNode;
               var content = aElements.item(i).firstChild;

               tdElement.replaceChild(content, aElements.item(i));
               i--;

                //aElements.item(i).style.display = 'none';
			}	
		}  
        
        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Rcupre l'lment table identifi par la nom de sa class
     *
     * @param string Nom de l'attribut class de la balise table
     * @return array
     */
/*    function getTableElement(className)
	{
		var tags = document.getElementsByTagName('table');
        var tableElement = [];
		
        for (var i = 0; i < tags.length; i++) {
			var tagClass = tags[i].className;

			if (tagClass === className) {
                tableElement.push(tags[i]);
			}	
		}
        
        return tableElement;
	}
*/     
    // -------------------------------------------------------------------
    
	function init()
	{
        if (! plugin_adm_user_rights["comm"]["act"]) {   // Activation d'un commentaire
            hideSelectOptions("id_selection", "online");
            hideSelectOptions("id_selection", "offline");
        }

        if (! plugin_adm_user_rights["comm"]["del"]) {   // Suppression d'un commentaire
            hideSelectOptions("id_selection", "delete");
        }

        if (   ! plugin_adm_user_rights["comm"]["del"] 
            && ! plugin_adm_user_rights["comm"]["act"]) 
        {
            hideSelectBlock("id_selection");
            hideCheckboxesInTable("comments-table");        
        }

        if (! plugin_adm_user_rights["comm"]["add"]) { // Ajout d'un commentaire
            removeLinkCellsInTable("comments-table", "comment_new.php");
        }       

        if (! plugin_adm_user_rights["comm"]["edit"]) { // Edition d'un commentaire
            removeLinkCellsInTable("comments-table", "comment.php");
        }       

        if (! plugin_adm_user_rights["art"]["edit"]) { // Edition d'un article
            removeLinkCellsInTable("comments-table", "article.php");
        }       
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();