/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2017
 * @version 1.6.2
 * @date	20/02/2017
 * @compatibility pluxml 5.5.0
 */
 
(function () {	// initialisation

	/**
     * Cache les options de l'lment select
     *
     * @param string Id de la balise select
     * @param string Valeur de l'option  cacher de la balise select
     * @return void
     */
	function hideSelectOptions(selectId, optionValue)
	{
        var selectElement = document.getElementById(selectId);   
        var opts = selectElement.options;
        
        for (var i = 0; i < opts.length; i++) {
			var optValue = opts[i].value;

			if (optValue === optionValue) {    			 
               selectElement.removeChild(opts[i]);
			}	
		}  
        
        return true;        
	}
         
    // -------------------------------------------------------------------
 
	/**
     * Cache le block contenant l'lment select et le bouton OK
     *
     * @param string Id de la balise select
     * @return void
     */
	function hideSelectBlock(selectId)
	{
        var selectElement = document.getElementById(selectId);        
        var sibling = selectElement.nextSibling;
        
        while (sibling.nodeName !== "INPUT" || sibling.type != "submit") {
            sibling = sibling.nextSibling;    
        }
        
        sibling.style.display = "none";
        selectElement.style.display = "none";
                
        return true;
    }
         
    // -------------------------------------------------------------------
    
	/**
     * Rcupre le ou les lments des listes de slection identifi par leur nom
     *
     * @param string Nom de l'attribut name de la balise select
     * @return array
     */
/*    function getSelectElement(selectName)
	{
        return document.getElementById('id_selection');
	}
*/     
    // -------------------------------------------------------------------
    
	/**
     * Cache le bouton "ajouter un fichier" du menu
     *
     * @return void
     */
	function hideInputAddFile()
	{
        var sibling = getInputElementByName("sort").previousSibling;
        
        while (sibling.nodeName !== "INPUT" || sibling.name === "btn_delete") {
            sibling = sibling.previousSibling;    
        }
        
        sibling.style.display = "none"; 

        return true;
	}
     
    // -------------------------------------------------------------------
    
	/**
     * Cache le block "Nouveau dossier"
     *
     * @return void
     */
	function hideDivAddDir()
	{
		getInputElementByName("btn_newfolder").parentNode.style.display = "none";
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Cache le block "Crer miniatures"
     *
     * @return void
     */
    function hideDivMakeThumb()
    {
        var formUploader = document.getElementById("form_uploader");
        var ulElements = formUploader.getElementsByTagName("ul");
        
        ulElements[1].parentNode.style.display = 'none';    
    }   
    
    // -------------------------------------------------------------------
    
	/**
     * Cache le block "Redimmensionner Images"
     *
     * @return void
     */
    function hideDivResizeImage()
    {
        var formUploader = document.getElementById("form_uploader");
        var ulElements = formUploader.getElementsByTagName("ul");
        
        ulElements[0].parentNode.style.display = 'none';    
    }   
      
    // -------------------------------------------------------------------
    
	/**
     * Cache le bouton "Supprimer" d'une catgorie
     *
     * @return void
     */
	function hideInputDeleteDir()
	{
		getInputElementByName("btn_delete").style.display = "none";

        return true;
	}

    // -------------------------------------------------------------------
    
	/**
     * Cache un champ de type input
     *
     * @param string Nom du champ input
     * @return void
     */
	function getInputElementByName(inputName)
	{
        var formMedias = document.getElementById('form_medias');
        var inputElements = formMedias.getElementsByTagName('input');
		
        for (var i = 0; i < inputElements.length; i++) {
            if (inputElements[i].name == inputName) {
                return inputElements[i];
			}	
		}

        return false;
	}
   
    // -------------------------------------------------------------------

	function init()
	{
        if (! plugin_adm_user_rights["file"]["add"]) {
            hideInputAddFile();
        }

        if (! plugin_adm_user_rights["file"]["del"]) {
            hideSelectOptions("id_selection",  "delete");
        }

        if (! plugin_adm_user_rights["file"]["move"]) {
            hideSelectOptions("id_selection",  "move");
        }

        if (! plugin_adm_user_rights["file"]["thumbs"]) {
            hideSelectOptions("id_selection",  "thumbs");
            hideDivMakeThumb();
        }

        if (! plugin_adm_user_rights["file"]["resize"]) {
            hideDivResizeImage();
        }
 
        if (   ! plugin_adm_user_rights["file"]["del"] 
            && ! plugin_adm_user_rights["file"]["move"] 
            && ! plugin_adm_user_rights["file"]["thumbs"])
        {
            hideSelectBlock("id_selection");        
        }
       
        if (! plugin_adm_user_rights["dir"]["add"]) {
            hideDivAddDir();
        }
        
        if (! plugin_adm_user_rights["dir"]["del"]) {
            hideInputDeleteDir();
        }
	}

	/**
	 * Ajoute la fonction  l'vnement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();