/**
 * Plugin adm_users_rights
 * 
 * @package 
 * @author Memento and jchouix
 * @copyright 2017
 * @version 1.6.2
 * @date	20/02/2017
 * @compatibility pluxml 5.5.0
 */

(function () {	// initialisation
        
    function createAnchorCheckAll()
    {
        var anchor = createAnchor("checkAll", "Cocher tous les droits");
        
        anchor.onclick = function() {
            checkInputCheckBox(true);
        };
        
        return anchor;    
    }

    function createAnchorUncheckAll()
    {
        var anchor = createAnchor("uncheckAll", "Décocher tous les droits");
        
        anchor.onclick = function() {
            checkInputCheckBox(false);
        };
        
        return anchor;    
    }
    
    /**
     * Création d'un élément a
     *
     * @return object a element
     */
	function createAnchor(name, text)
	{
        var aElement = document.createElement("a");
        aElement.name = name;
        aElement.style.cursor = "pointer";
        aElement.style.marginLeft = "10px";
        aElement.style.marginRight = "10px";
                
        var text = document.createTextNode(text);  
                
        aElement.appendChild(text);        
        
        return aElement;
	}

	/**
     * Coche ou décoche les élements de type checkbox
     *
     * @param boolean true(cocher) ou false(décocher)
     * @return void
     */
	function checkInputCheckBox(checked)
	{
        var checkboxes = getCheckBoxes();
        var nb_checkboxes = checkboxes.length;
        
        for(var i = 0; i < nb_checkboxes; i++) {
            checkboxes[i].checked = checked;
        }

        return true;
	}
    
    // -------------------------------------------------------------------
    
	/**
     * Récupère les éléments input de type checkbox
     *
     * @return array
     */
    function getCheckBoxes()
	{
        var parentElement = document.getElementById("user_rights");
        var inputElements = parentElement.getElementsByTagName("input");
        var nb_input = inputElements.length;
        var checkboxes = [];
        
        for(var i = 0; i < nb_input; i++) {
            if (inputElements[i].type == "checkbox") {
               checkboxes.push(inputElements[i]); 
            }
        }
        
        return checkboxes;
	}
     
    // -------------------------------------------------------------------
    
	function init()
	{
        var legendElement = document.getElementById("user_rights").firstChild;
        
        legendElement.appendChild(createAnchorCheckAll());
        legendElement.appendChild(document.createTextNode("/"));
        legendElement.appendChild(createAnchorUncheckAll());
	}

	/**
	 * Ajoute la fonction à l'évènement load de la page
	 */
	function addLoadListener(func)
	{
		if (window.addEventListener) {
			window.addEventListener("load", func, false);
		} else if (document.addEventListener) {
			document.addEventListener("load", func, false);
		} else if (window.attachEvent) {
			window.attachEvent("onload", func);
		}
	}

	// Chargement
	if (document.getElementsByTagName) {
		addLoadListener(init);
	}
   
})();